<?php

  $debugin        = $decoded['debug'];
  $usr_id         = $decoded['usr_id'];
  $pedido_id      = $decoded['pedido_id'];

  if( $usr_id ){

    //User
    $Query = "
      SELECT
        usr.id
      FROM usuarios_app usr
      WHERE
        usr.id = '$usr_id'
        AND usr.activo = '1'
    ";
    $Result = mysqli_query($mysqli, $Query);
    $Usr = mysqli_fetch_assoc($Result);
    if( $Usr[id] ){

      $Where = "
        WHERE
        ped.id != '0'
        AND ped.fk_usuario = '$Usr[id]'
      ";

      if( $pedido_id ){

        $Where .= "
          AND ped.id != '$pedido_id'
        ";

      }else{

        $Where .= "
          AND ped.fk_estatus = '1'
        ";

      }

      //Pedido
      $Query = "
        SELECT
          ped.id, ped.fecha, ped.total,
          est.id AS estatus_id, est.estatus
        FROM articulos_pedidos ped
        LEFT JOIN articulos_pedidos_estatus est ON est.id = ped.fk_estatus
        $Where
      ";
      $Result = mysqli_query($mysqli, $Query);
      $Pedido = mysqli_fetch_assoc($Result);
      if( $Pedido[id] ){

        //Articuls en Pedido
        $Query = "
          SELECT
            art.id, art.nombre, art.codigo,
            art.cantidad, art.precio, art.total
          FROM articulos_pedidos_articulos art
          WHERE
            art.fk_pedido = '$Pedido[id]'
          ORDER BY art.id ASC
        ";
        $Arts = $mysqli->query($Query);
        mysqli_data_seek($Arts, 0);
        while($Art = mysqli_fetch_array($Arts)) {
          $Articulos[] = array(
            'articulo_id' => $Art[id],
            'nombre'      => $Art[nombre],
            'cantidad'    => $Art[cantidad],
            'precio'      => $Art[precio],
            'total'       => $Art[total]
          );
        }
        //End Precios

        $Data = array(
          'pedido_id'   => $Pedido[id],
          'estatus_id'  => $Pedido[estatus_id],
          'estatus'     => $Pedido[estatus],
          'fecha'       => $Pedido[fecha],
          'total'       => $Pedido[total],
          'articulos'   => $Articulos
        );
        echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

      }else{

        //Error
        $Query = "
          SELECT
            err.Id, err.error, err.msn
          FROM api_errores err
          WHERE err.error = 'er-1'
        ";
        $Result = mysqli_query($mysqli, $Query);
        $Error = mysqli_fetch_assoc($Result);

        $Data = array(
          'action'      => 'error',
          'error'       => $Error[error],
          'error_msn'   => $Error[msn]
        );
        echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

      }

    }else{

      //Error
      $Query = "
        SELECT
          err.Id, err.error, err.msn
        FROM api_errores err
        WHERE err.error = 'uv-1'
      ";
      $Result = mysqli_query($mysqli, $Query);
      $Error = mysqli_fetch_assoc($Result);

      $Data = array(
        'action'      => 'error',
        'error'       => $Error[error],
        'error_msn'   => $Error[msn]
      );
      echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

    }

  }

?>
